import 'package:coding_buddy/logic/helper/debug_utils.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

extension CBScreenUtils on num {
  static Size _size;
  static init(Size size) {
    _size = size;
  }

  double get w {
    var result = this;
    try {
      var size = MediaQuery.of(Get.context).size.width;
      double percent = this / _size.width;
      result = size * percent;
    } catch (e) {
      printDebug(e);
    }
    return result.toDouble();
  }

  double get h {
    var result = this;
    try {
      var size = MediaQuery.of(Get.context).size.height;
      double percent = this / _size.height;
      result = size * percent;
    } catch (e) {
      printDebug(e);
    }
    return result.toDouble();
  }
}
