import 'package:intl/intl.dart';

extension CBMoneyUtils on num {
  String formatCurrencyIDR(String locale, String symbol) {
    return NumberFormat.currency(
            locale: locale, symbol: symbol, decimalDigits: 0)
        .format(this);
  }
}
